ComponentInterceptorInvoker (Mule ESB 2.2.1 API)
Keywords: org.mule.component.ComponentInterceptorInvoker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class ComponentInterceptorInvoker

    java.lang.Object
      org.mule.component.ComponentInterceptorInvoker

All Implemented Interfaces:
  Invocation

    public class ComponentInterceptorInvoker

extends Object
implements Invocation

`InterceptorsInvoker` is used to trigger an interceptor chain.

Constructor Summary
`ComponentInterceptorInvoker(AbstractComponent component, List interceptors, MuleEvent event)`

Method Summary
`MuleEvent` | `getEvent()`
`MuleMessage` | `getMessage()`
`Service` | `getService()`
`MuleMessage` | `invoke()` Invokes the next interceptor or target
`void` | `setMessage(MuleMessage message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentInterceptorInvoker

    public ComponentInterceptorInvoker(AbstractComponent component,
                                       List interceptors,
                                       MuleEvent event)

Method Detail

### invoke

    public MuleMessage invoke()
                       throws MuleException

  Description copied from interface: `Invocation`
  Invokes the next interceptor or target

  Specified by:
    `invoke` in interface `Invocation`
  Throws:
    `MuleException`

### getEvent

    public MuleEvent getEvent()

  Specified by:
    `getEvent` in interface `Invocation`

### getService

    public Service getService()

  Specified by:
    `getService` in interface `Invocation`

### getMessage

    public MuleMessage getMessage()

  Specified by:
    `getMessage` in interface `Invocation`

### setMessage

    public void setMessage(MuleMessage message)

  Specified by:
    `setMessage` in interface `Invocation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.